# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkArrowTypes

Packages that use TSparkArrowTypes
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkArrowTypes in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkArrowTypes
Modifier and Type
Class
Description
`class`
`TSparkArrowTypes`
`class`
`TSparkArrowTypes`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TSparkArrowTypes
Modifier and Type
Field
Description
`TSparkArrowTypes`
TExecuteStatementReq.`useArrowNativeTypes`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkArrowTypes
Modifier and Type
Method
Description
`TSparkArrowTypes`
TSparkArrowTypes.`deepCopy()`
`TSparkArrowTypes`
TExecuteStatementReq.`getUseArrowNativeTypes()`
`TSparkArrowTypes`
TSparkArrowTypes.`setComplexTypesAsArrow(boolean complexTypesAsArrow)`
`TSparkArrowTypes`
TSparkArrowTypes.`setDecimalAsArrow(boolean decimalAsArrow)`
`TSparkArrowTypes`
TSparkArrowTypes.`setIntervalTypesAsArrow(boolean intervalTypesAsArrow)`
`TSparkArrowTypes`
TSparkArrowTypes.`setNullTypeAsArrow(boolean nullTypeAsArrow)`
`TSparkArrowTypes`
TSparkArrowTypes.`setTimestampAsArrow(boolean timestampAsArrow)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowTypes
Modifier and Type
Method
Description
`int`
TSparkArrowTypes.`compareTo(TSparkArrowTypes other)`
`boolean`
TSparkArrowTypes.`equals(TSparkArrowTypes that)`
`TExecuteStatementReq`
TExecuteStatementReq.`setUseArrowNativeTypes(TSparkArrowTypes useArrowNativeTypes)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowTypes
Modifier
Constructor
Description
``
`TSparkArrowTypes(TSparkArrowTypes other)`
Performs a deep copy on other.